Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024516
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorN/A2013-08-08 17:452013-08-21 08:33
ReporteralostaleView Statuspublic 
Assigned Toguilleaer 
PriorityurgentResolutionfixedFixed in VersionRMP26
StatusclosedFix in branchFixed in SCM revision3a10c0c70392
ProjectionnoneETAnoneTarget VersionRMP26
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024516: WebPOS relies on delivery status to check if a ticket is a layaway

DescriptionWebPOS relies on delivery status to check if a ticket is a layaway. It needs to be reviewed if it makes sense from the functional point of view.

From the technical point of view, current query might have performance problems because it relies in computed columns.

Additionally, API will change starting from MP27, so it will be required to modify it to (in the worse of the cases) use the proxy to access the computed column starting from RMP27.
Steps To ReproduceSee PaidReceiptProperties:

        add(new HQLProperty("(case when ord.deliveryStatus = 0 then true else false end)",
            "isLayaway")); // TODO: computed column, it should be refactored
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024212 closedmarvintm Retail Modules WebPOS relies on delivery status field to create or not the invoices. Wrong in some cases 
related to defect 0024495 closedalostale Openbravo ERP Lazy computed columns API chage 
related to design defect 00241043.0MP27 closedalostale Openbravo ERP Unnecessary evaluation of computed columns 
related to design defect 0024283 closedmigueldejuana Retail Modules Avoid using computed columns 

-  Notes
(0060579)
hgbot (developer)
2013-08-12 19:01

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 56c4d15d2a313f7d591ac9b41ff6bc329e68d3b2
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Aug 12 18:47:46 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/56c4d15d2a313f7d591ac9b41ff6bc329e68d3b2 [^]

related to issue 24516: [temporary fix] If instance is >=MP27 access to computed columns correctly

---
M src/org/openbravo/retail/posterminal/POSUtils.java
M src/org/openbravo/retail/posterminal/PaidReceiptProperties.java
M src/org/openbravo/retail/posterminal/PaidReceiptsHeader.java
---
(0060673)
hgbot (developer)
2013-08-20 11:12

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3a10c0c70392a461b7f6e9f03b82c6b911e348fa
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Aug 20 11:12:28 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3a10c0c70392a461b7f6e9f03b82c6b911e348fa [^]

Fixed issue 24516. Removed usage of deliveryStatus from the WebPOS

---
M src/org/openbravo/retail/posterminal/POSUtils.java
M src/org/openbravo/retail/posterminal/PaidReceiptProperties.java
M src/org/openbravo/retail/posterminal/PaidReceiptsHeader.java
---
(0060688)
guilleaer (developer)
2013-08-20 23:39

Verified
(0060690)
hgbot (developer)
2013-08-21 08:31

Repository: erp/pmods/org.openbravo.retail.posterminal-rds
Changeset: 3a10c0c70392a461b7f6e9f03b82c6b911e348fa
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Aug 20 11:12:28 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-rds/rev/3a10c0c70392a461b7f6e9f03b82c6b911e348fa [^]

Fixed issue 24516. Removed usage of deliveryStatus from the WebPOS

---
M src/org/openbravo/retail/posterminal/POSUtils.java
M src/org/openbravo/retail/posterminal/PaidReceiptProperties.java
M src/org/openbravo/retail/posterminal/PaidReceiptsHeader.java
---
(0060695)
guilleaer (developer)
2013-08-21 08:33

reclosing

- Issue History
Date Modified Username Field Change
2013-08-08 17:45 alostale New Issue
2013-08-08 17:45 alostale Assigned To => guilleaer
2013-08-08 17:45 alostale Triggers an Emergency Pack => No
2013-08-08 17:45 alostale Relationship added related to 0024212
2013-08-08 17:46 alostale Relationship added related to 0024495
2013-08-08 17:46 alostale Relationship added related to 0024104
2013-08-09 11:07 guilleaer Relationship added related to 0024283
2013-08-12 19:01 hgbot Checkin
2013-08-12 19:01 hgbot Note Added: 0060579
2013-08-20 11:12 hgbot Checkin
2013-08-20 11:12 hgbot Note Added: 0060673
2013-08-20 11:12 hgbot Status new => resolved
2013-08-20 11:12 hgbot Resolution open => fixed
2013-08-20 11:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3a10c0c70392a461b7f6e9f03b82c6b911e348fa [^]
2013-08-20 23:39 guilleaer Review Assigned To => guilleaer
2013-08-20 23:39 guilleaer Note Added: 0060688
2013-08-20 23:39 guilleaer Status resolved => closed
2013-08-20 23:39 guilleaer Fixed in Version => RMP26
2013-08-21 08:31 hgbot Checkin
2013-08-21 08:31 hgbot Note Added: 0060690
2013-08-21 08:31 hgbot Status closed => resolved
2013-08-21 08:31 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3a10c0c70392a461b7f6e9f03b82c6b911e348fa [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-rds/rev/3a10c0c70392a461b7f6e9f03b82c6b911e348fa [^]
2013-08-21 08:33 guilleaer Note Added: 0060695
2013-08-21 08:33 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker